# `TaurusPollingTimer`

digraph inheritance93284e931d { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "Logger" [URL="taurus-Logger.html#taurus.Logger",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="The taurus logger class. All taurus pertinent classes should inherit"]; "TaurusPollingTimer" [URL="#taurus.core.tauruspollingtimer.TaurusPollingTimer",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="Polling timer manages a list of attributes that have to be polled in"]; "Logger" -> "TaurusPollingTimer" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class TaurusPollingTimer(period, parent=None)

  Polling timer manages a list of attributes that have to be polled in the same period

  Import from `taurus.core.tauruspollingtimer` as:

      from taurus.core.tauruspollingtimer import TaurusPollingTimer

  addAttribute(attribute, auto_start=None)

    Registers the attribute in this polling.

    Parameters:

      - attribute (taurus.core.taurusattribute.TaurusAttribute) – the attribute to be added

      - auto_start (bool) – deprecated. Ignored (always autostarts)

  containsAttribute(attribute)

    Determines if the polling timer already contains this attribute

    Parameters:

      attribute (taurus.core.taurusattribute.TaurusAttribute) – the attribute

    Returns:

      True if the attribute is registered for polling or False otherwise

    Return type:

      bool

  finish()
  getAttributeCount()

    Returns the number of attributes registered for polling

    Returns:

      the number of attributes registered for polling

    Return type:

      int

  on_application_ready(*args)
  removeAttribute(attribute)

    Unregisters the attribute from this polling. If the number of registered attributes decreses to 0 the polling is stopped automatically in order to save resources.

    Parameters:

      attribute (taurus.core.taurusattribute.TaurusAttribute) – the attribute to be added

  start()

    Starts the polling timer

  stop(sync=False)

    Stop the polling timer